List Stocks
curl --request GET \
--url https://api.decodahealth.com/inventory/stocks/list \
--header 'API-KEY: <api-key>' \
--header 'TENANT: <tenant>'import requests
url = "https://api.decodahealth.com/inventory/stocks/list"
headers = {
"TENANT": "<tenant>",
"API-KEY": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {TENANT: '<tenant>', 'API-KEY': '<api-key>'}};
fetch('https://api.decodahealth.com/inventory/stocks/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"name": "<string>",
"unit": "AMPOULES",
"id": "<string>",
"description": "<string>",
"notes": "<string>",
"category": "<string>",
"isArchived": false,
"shipments": [
{
"stockId": "<string>",
"supplierId": "<string>",
"locationId": "<string>",
"quantity": 123,
"remainingQuantity": 123,
"locationName": "<string>",
"id": "<string>",
"lotNumber": "<string>",
"expiryDate": "2023-11-07T05:31:56Z",
"sku": "<string>",
"cost": 123,
"supplier": {
"name": "<string>",
"id": "<string>",
"description": "<string>",
"website": "<string>",
"email": "<string>",
"preferredContactMethod": "<string>",
"phoneNumber": "<string>",
"addressLineOne": "<string>",
"addressLineTwo": "<string>",
"city": "<string>",
"state": "<string>",
"zipCode": "<string>",
"country": "<string>",
"isArchived": false
},
"createdDate": "2023-11-07T05:31:56Z",
"note": "<string>"
}
],
"items": [
{
"itemId": "<string>",
"stockId": "<string>",
"quantityUsed": 123
}
],
"locationSummaries": [
{
"locationId": "<string>",
"locationName": "<string>",
"totalQuantity": 123,
"remainingQuantity": 123,
"percentage": 123
}
],
"note": "<string>"
}
],
"total": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Stock
List Stocks
List stock items matching the given filters, with cost-gated fields redacted per the caller’s permissions.
GET
/
inventory
/
stocks
/
list
List Stocks
Headers
The tenant you are making this request on behalf of
Your api key
Query Parameters
Available options:
asc, desc Optional ID of the location to filter shipments by
Optional name of the stock
Optional IDs of the stock
Optional ID of the item
Optional category name to filter by (references category.name)
Optional remaining quantity of the stock
Optional unit of measurement
Available options:
AMPOULES, APPLICATORS, BOTTLES, BOXES, CAPSULES, CUPS, DOSES, G_PER_ML, GRAMS, IU, IU_PER_ML, OUNCES, FLUID_OUNCES, KG, KITS, LITERS, MCG, MG, MG_PER_ML, ML, MMOL, MICROGRAM_PER_ML, PACKS, PAIRS, PATCHES, PERCENTAGE, PIECES, POUCHES, ROLLS, SACHETS, SHEETS, SPRAYS, STRIPS, SYRINGES, TABLETS, TABLETS_PER_DAY, TESTS, TUBES, UNITS, VIALS, TREATMENTS, SESSIONS, PULSES, JOULES, CENTIMETERS, THREAD_COUNT, INJECTIONS, WRINKLE_UNITS, POUNDS, FEET, INCHES Optional filter for archived status

